kind: pipeline
name: default

steps:
- name: docker  
  image: plugins/docker
  settings:
    registry: git.ericxliu.me
    username: master
    password: 1f8af4f82c0bd4dc24c1a03eaea6da13f54fed1c
    repo: git.ericxliu.me/master/getting-started
    tags: latest
    platform: linux/amd64